Bug 16136 - sr_mod.o has unresolved references
sr_mod.o has unresolved references
Status: CLOSED DUPLICATE of bug 16174
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-13 20:59 EDT by Willem Riede
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 12:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Willem Riede 2000-08-13 20:59:44 EDT
SCSI cdrom support cannot be configured as a module because sr_mod.o then
has a unresolved reference to req_finished_io. This function is unique to
pinstripe, I could not find it in the regular kernel sources. You have
simply neglected to export the symbol for use by modules, because it does
get resolved if scsi cdrom support is compiled into the kernel (as is done
for the distribution kernel).
Comment 1 Michael K. Johnson 2000-08-14 15:46:59 EDT

*** This bug has been marked as a duplicate of 16174 ***

Note You need to log in before you can comment on or make changes to this bug.